#pragma once

#include "ClientDataPackage.hpp"
#include "ESPNow.hpp"
#include "Time.hpp"
#include <Arduino.h>
#include <ESP32Time.h>
#include <esp_now.h>

// Format of the message sent from host to client
// if more things are sent from the host the name might not be accurate anymore
class Message {
  public:
	Message();
	Message(ClientDataPackage old_data);
	void add_data(float value, int identifier);
	esp_err_t send();

  private:
	ClientDataPackage data;
	uint8_t recipient[6];
};